Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.transaction.interceptor
Class TransactionAspectUtils

    java.lang.Object
      org.springframework.transaction.interceptor.TransactionAspectUtils

Deprecated. as of Spring 3.1.2 in favor of `BeanFactoryUtils`

    @Deprecated
    public abstract class TransactionAspectUtils

extends Object

Utility methods for obtaining a PlatformTransactionManager by `qualifier value`.

Since:
  3.0.2
Author:
  Juergen Hoeller, Chris Beams

Constructor Summary
`TransactionAspectUtils()` Deprecated.

Method Summary
`static PlatformTransactionManager` | `getTransactionManager(BeanFactory beanFactory, String qualifier)` Deprecated. as of Spring 3.1.2 in favor of `BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactory, Class, String)`
`static PlatformTransactionManager` | `getTransactionManager(ConfigurableListableBeanFactory bf, String qualifier)` Deprecated. as of Spring 3.1.2 in favor of `BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactory, Class, String)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransactionAspectUtils

    public TransactionAspectUtils()

  Deprecated.

Method Detail

### getTransactionManager

    public static PlatformTransactionManager getTransactionManager(BeanFactory beanFactory,
                                                                   String qualifier)

  Deprecated. as of Spring 3.1.2 in favor of `BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactory, Class, String)`

  Obtain a PlatformTransactionManager from the given BeanFactory, matching the given qualifier.

  Parameters:
    `beanFactory` - the BeanFactory to get the `PlatformTransactionManager` bean from
    `qualifier` - the qualifier for selecting between multiple `PlatformTransactionManager` matches
  Returns:
    the chosen `PlatformTransactionManager` (never `null`)
  Throws:
    `IllegalStateException` - if no matching `PlatformTransactionManager` bean found

### getTransactionManager

    public static PlatformTransactionManager getTransactionManager(ConfigurableListableBeanFactory bf,
                                                                   String qualifier)

  Deprecated. as of Spring 3.1.2 in favor of `BeanFactoryAnnotationUtils.qualifiedBeanOfType(BeanFactory, Class, String)`

  Obtain a PlatformTransactionManager from the given BeanFactory, matching the given qualifier.

  Parameters:
    `bf` - the BeanFactory to get the `PlatformTransactionManager` bean from
    `qualifier` - the qualifier for selecting between multiple `PlatformTransactionManager` matches
  Returns:
    the chosen `PlatformTransactionManager` (never `null`)
  Throws:
    `IllegalStateException` - if no matching `PlatformTransactionManager` bean found

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD